cURL
curl "https://app.tatango.com/api/v2/lists/ID/tags" -d '{"tags":["vip","customer"]}' -X DELETE \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u emailaddress@mydomain.com:my_api_key \
-H "Host: example.org" \
-H "Cookie: "require 'net/http'
require 'uri'
uri = URI.parse('https://app.tatango.com/api/v2/lists/ID/tags')
http = Net::HTTP.new(uri.host, uri.port)
request = Net::HTTP::Delete.new(uri.request_url)
request.basic_auth("emailaddress@mydomain.com", "my_api_key")
request.body = {"tags":["vip","customer"]}.to_json
response = http.request(request)var request = new XMLHttpRequest();
request.open('DELETE', 'https://app.tatango.com/api/v2/lists/ID/tags', false);
request.setRequestHeader('Content-Type', 'application/json');
request.setRequestHeader('Authorization', 'Basic ' + btoa('emailaddress@mydomain.com:my_api_key'));
var data = JSON.stringify({ tags: ['vip', 'customer'] });
request.send(data);import requests
url = "https://app.tatango.com/api/v2/lists/{ID}/tags"
payload = { "tags": ["vip", "customer", "newsletter"] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tatango.com/api/v2/lists/{ID}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
'vip',
'customer',
'newsletter'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tatango.com/api/v2/lists/{ID}/tags"
payload := strings.NewReader("{\n \"tags\": [\n \"vip\",\n \"customer\",\n \"newsletter\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.tatango.com/api/v2/lists/{ID}/tags")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"tags\": [\n \"vip\",\n \"customer\",\n \"newsletter\"\n ]\n}")
.asString();{
"status": "Tags enqueued for deletion"
}Tags
Deleting a Tag From All Subscribers
This endpoint deletes tags from all subscribers with the tag.
DELETE
/
api
/
v2
/
lists
/
{ID}
/
tags
cURL
curl "https://app.tatango.com/api/v2/lists/ID/tags" -d '{"tags":["vip","customer"]}' -X DELETE \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u emailaddress@mydomain.com:my_api_key \
-H "Host: example.org" \
-H "Cookie: "require 'net/http'
require 'uri'
uri = URI.parse('https://app.tatango.com/api/v2/lists/ID/tags')
http = Net::HTTP.new(uri.host, uri.port)
request = Net::HTTP::Delete.new(uri.request_url)
request.basic_auth("emailaddress@mydomain.com", "my_api_key")
request.body = {"tags":["vip","customer"]}.to_json
response = http.request(request)var request = new XMLHttpRequest();
request.open('DELETE', 'https://app.tatango.com/api/v2/lists/ID/tags', false);
request.setRequestHeader('Content-Type', 'application/json');
request.setRequestHeader('Authorization', 'Basic ' + btoa('emailaddress@mydomain.com:my_api_key'));
var data = JSON.stringify({ tags: ['vip', 'customer'] });
request.send(data);import requests
url = "https://app.tatango.com/api/v2/lists/{ID}/tags"
payload = { "tags": ["vip", "customer", "newsletter"] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tatango.com/api/v2/lists/{ID}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
'vip',
'customer',
'newsletter'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tatango.com/api/v2/lists/{ID}/tags"
payload := strings.NewReader("{\n \"tags\": [\n \"vip\",\n \"customer\",\n \"newsletter\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.tatango.com/api/v2/lists/{ID}/tags")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"tags\": [\n \"vip\",\n \"customer\",\n \"newsletter\"\n ]\n}")
.asString();{
"status": "Tags enqueued for deletion"
}After the endpoint is called, please allow up to 10 minutes for the tags provided to be removed from all subscribers.
Request URL
DELETE https://app.tatango.com/api/v2/lists/{ID}/tags
Authorizations
The momoGood Messaging API v2 authenticates requests by validating an API key passed via HTTP Basic Authentication. Use your login email as the username and your API key as the password.
Path Parameters
ID of the list
Body
application/json
An array of tag names
Response
200 - application/json
Tags enqueued for deletion
Example:
"Tags enqueued for deletion"
⌘I